<template>
  <BasicDrawer
    v-bind="$attrs"
    destroyOnClose
    @register="registerDrawer"
    :title="getTitle"
    :width="width"
  >
    <Description @register="registerDesc" :data="descData" />
  </BasicDrawer>
</template>
<script lang="ts" setup>
  import { onBeforeMount, ref } from 'vue'; // onBeforeMount,
  import { BasicDrawer, useDrawerInner } from '/@/components/Drawer';
  import { Description, useDescription } from '/@/components/Description';
  import { viewSchema } from './data';

  import { monitorJobDetail } from '/@/api/monitor/monitorJobApi';
  //   import { listDictModel } from '/@/api/common';
  //   import { formatDictValue } from '/@/utils';

  const descData = ref({});
  const getTitle = '查看定时任务调度表';
  const width = '45%';

  onBeforeMount(async () => {});
  const [registerDrawer] = useDrawerInner(async data => {
    console.log('::::::::::', data.record);
    const resData = await monitorJobDetail(data.record.id);
    descData.value = {
      ...resData,
    };
  });
  const [registerDesc] = useDescription({
    schema: viewSchema,
    column: 2,
    size: 'middle',
    labelStyle: {
      width: '120px',
    },
  });
</script>
